From 9acaf5775ae15e3bcbd783cf058436d4e1cbaf27 Mon Sep 17 00:00:00 2001
From: Robin Gareus <robin@gareus.org>
Date: Thu, 14 Apr 2016 14:27:54 +0200
Subject: [PATCH] properly tag sidechain inputs

---
 plugins/sc2-swh.lv2/plugin.xml | 2 +-
 plugins/sc3-swh.lv2/plugin.xml | 2 +-
 xslt/turtle.xsl                | 2 ++
 3 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/plugins/sc2-swh.lv2/plugin.xml b/plugins/sc2-swh.lv2/plugin.xml
index cd5181d..378c6a9 100644
--- a/plugins/sc2-swh.lv2/plugin.xml
+++ b/plugins/sc2-swh.lv2/plugin.xml
@@ -124,7 +124,7 @@
       <range min="0" max="+24"/>
     </port>
 
-    <port label="sidechain" dir="input" type="audio">
+    <port label="sidechain" dir="input" type="audio" sidechain="true">
       <name>Sidechain</name>
     </port>
 
diff --git a/plugins/sc3-swh.lv2/plugin.xml b/plugins/sc3-swh.lv2/plugin.xml
index 7635cb0..9b35bc9 100644
--- a/plugins/sc3-swh.lv2/plugin.xml
+++ b/plugins/sc3-swh.lv2/plugin.xml
@@ -139,7 +139,7 @@
 
     <group label="sidechain" type="MonoGroup" sidechain-of="main_in"/>
 
-    <port label="sidechain" dir="input" type="audio" group="sidechain" role="centerChannel">
+    <port label="sidechain" dir="input" type="audio" group="sidechain" role="centerChannel" sidechain="true">
       <name>Sidechain</name>
     </port>
 
diff --git a/xslt/turtle.xsl b/xslt/turtle.xsl
index 67cfdee..544cc89 100644
--- a/xslt/turtle.xsl
+++ b/xslt/turtle.xsl
@@ -80,6 +80,8 @@ swh:<xsl:value-of select="$pluglabel"/> a :Plugin ;
      :portProperty :toggled ;</xsl:if>
      <xsl:if test="contains(@hint, 'causes_artifacts')">
      :portProperty :causesArtifacts ;</xsl:if>
+     <xsl:if test="contains(@sidechain, 'true')">
+     :portProperty :isSideChain ;</xsl:if>
      <xsl:if test="@group">
      pg:inGroup swh:<xsl:value-of select="$pluglabel"/>-<xsl:value-of select="@group"/> ;
      pg:role pg:<xsl:value-of select="@role"/> ;</xsl:if>
